"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const coreutils_1 = require("@jupyterlab/coreutils");
const services_1 = require("@jupyterlab/services");
var Api;
(function (Api) {
    const settings = services_1.ServerConnection.defaultSettings;
    function getForQuery(connectionString, query) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = coreutils_1.URLExt.join(settings.baseUrl, '/jupyterlab-sql/query');
            const request = {
                method: 'POST',
                body: JSON.stringify({ connectionString, query })
            };
            const response = yield services_1.ServerConnection.makeRequest(url, request, settings);
            const data = yield response.json();
            return data;
        });
    }
    Api.getForQuery = getForQuery;
})(Api = exports.Api || (exports.Api = {}));
