import { IEditorFactoryService, CodeEditor, CodeEditorWrapper } from '@jupyterlab/codeeditor';
import { ISignal } from '@phosphor/signaling';
import { Widget } from '@phosphor/widgets';
export interface IEditor {
    readonly widget: Widget;
    readonly value: string;
    readonly execute: ISignal<this, string>;
    readonly valueChanged: ISignal<this, string>;
}
export declare class Editor implements IEditor {
    constructor(initialValue: string, editorFactory: IEditorFactoryService);
    readonly value: string;
    readonly widget: Widget;
    readonly execute: ISignal<this, string>;
    readonly valueChanged: ISignal<this, string>;
    private _execute;
    private _valueChanged;
    private _widget;
    private _model;
}
export declare class EditorWidget extends CodeEditorWrapper {
    constructor(model: CodeEditor.IModel, editorFactory: IEditorFactoryService);
    readonly executeCurrent: ISignal<this, void>;
    _onKeydown(event: KeyboardEvent): boolean;
    private _executeCurrent;
}
