"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ResponseModel;
(function (ResponseModel) {
    function createError(message) {
        return {
            responseType: 'error',
            responseData: {
                message
            }
        };
    }
    ResponseModel.createError = createError;
    function match(response, onSuccessWithRows, onSuccessNoRows, onError) {
        if (response.responseType === 'error') {
            return onError(response.responseData);
        }
        else if (response.responseType === 'success') {
            const responseData = response.responseData;
            if (responseData.hasRows) {
                const { keys, rows } = responseData;
                return onSuccessWithRows(keys, rows);
            }
            else {
                return onSuccessNoRows();
            }
        }
    }
    ResponseModel.match = match;
})(ResponseModel = exports.ResponseModel || (exports.ResponseModel = {}));
