import { IDisposable } from '@phosphor/disposable';
import { ISignal } from '@phosphor/signaling';
import { DataGrid, DataModel } from '@phosphor/datagrid';
export declare namespace DataGridExtensions {
    type RowSection = 'outside' | 'column-header' | 'row';
    type ColumnSection = 'outside' | 'row-header' | 'column';
    interface Row {
        section: RowSection;
        index: number | null;
    }
    interface Column {
        section: ColumnSection;
        index: number | null;
    }
    interface GridMouseEvent {
        row: Row;
        column: Column;
        rawEvent: MouseEvent;
    }
    interface BodyCellIndex {
        rowIndex: number;
        columnIndex: number;
    }
    function addMouseEventListener(eventType: 'click' | 'contextmenu', grid: DataGrid, listener: (event: GridMouseEvent) => void): IDisposable;
    class SelectionManager {
        constructor(model: DataModel);
        selection: BodyCellIndex | null;
        readonly selectionChanged: ISignal<this, BodyCellIndex | null>;
        private readonly _maxRow;
        private readonly _maxColumn;
        private _selection;
        private readonly _selectionChanged;
    }
}
