import { ISignal } from '@phosphor/signaling';
import { VDomModel, VDomRenderer } from '@jupyterlab/apputils';
export interface IToolbarModel {
    readonly connectionString: string;
    readonly connectionStringChanged: ISignal<this, string>;
    isLoading: boolean;
}
export declare function newToolbar(model: ToolbarModel): ToolbarContainer;
export declare class ToolbarModel extends VDomModel implements IToolbarModel {
    constructor(initialConnectionString: string);
    private _connectionString;
    private _isLoading;
    private _connectionStringChanged;
    readonly connectionStringChanged: ISignal<this, string>;
    connectionString: string;
    isLoading: boolean;
}
declare class ToolbarContainer extends VDomRenderer<ToolbarModel> {
    onConnectionStringChanged(newString: string): void;
    render(): JSX.Element;
}
export {};
