import { BoxPanel } from '@phosphor/widgets';
import { Message } from '@phosphor/messaging';
import { ISignal } from '@phosphor/signaling';
import { IEditorFactoryService } from '@jupyterlab/codeeditor';
import { IToolbarModel } from './toolbar';
import { IResponse } from './response';
import { IEditor } from './editor';
declare namespace JupyterLabSqlWidget {
    interface Options {
        name: string;
        initialConnectionString: string;
        initialSqlStatement: string;
    }
}
export declare class JupyterLabSqlWidget extends BoxPanel {
    constructor(editorFactory: IEditorFactoryService, options: JupyterLabSqlWidget.Options);
    readonly editorFactory: IEditorFactoryService;
    readonly editor: IEditor;
    readonly response: IResponse;
    readonly toolbarModel: IToolbarModel;
    readonly name: string;
    private _lastRequestId;
    private _connectionStringChanged;
    private _sqlStatementChanged;
    readonly connectionStringChanged: ISignal<this, string>;
    readonly sqlStatementChanged: ISignal<this, string>;
    readonly sqlStatementValue: string;
    updateGrid(connectionString: string, sql: string): Promise<void>;
    onActivateRequest(msg: Message): void;
}
export {};
